tvbrowser.ui.settings

## Class ChannelsSettingsTab

- java.lang.Object
- - tvbrowser.ui.settings.ChannelsSettingsTab

- All Implemented Interfaces:
    SettingsTab, ListDropAction

      public class ChannelsSettingsTab
      extends java.lang.Object
      implements SettingsTab, ListDropAction

  This Class represents the Channel-Settings-Tab
  Author:
    Bodo Tasche

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelsSettingsTab()` Create the SettingsTab
    `ChannelsSettingsTab(boolean isWizard)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configChannels()` Display the Config-Channel
    `javax.swing.JPanel` | `createSettingsPanel()` Create the SettingsPanel
    `void` | `drop(javax.swing.JList source, javax.swing.JList target, int n, boolean move)` The method that is called by the drop event.
    `javax.swing.Icon` | `getIcon()` Returns the name of the tab-sheet.
    `java.lang.String` | `getTitle()` Returns the title of the tab-sheet.
    `(package private) static void` | `saveChannels(java.lang.Object[] list, boolean autoUpdate)`
    `void` | `saveSettings()` Called by the host-application, if the user wants to save the settings.
    `void` | `saveSettingsWithoutDataUpdate()`
    `protected void` | `startTimer()` restart list refresh timer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelsSettingsTab

          public ChannelsSettingsTab()

      Create the SettingsTab

    - #### ChannelsSettingsTab

          public ChannelsSettingsTab(boolean isWizard)

  - ### Method Detail

    - #### createSettingsPanel

          public javax.swing.JPanel createSettingsPanel()

      Create the SettingsPanel
      Specified by:
        `createSettingsPanel` in interface `SettingsTab`
      Returns:
        the SettingsPanel

    - #### startTimer

          protected void startTimer()

      restart list refresh timer

    - #### saveChannels

          static void saveChannels(java.lang.Object[] list,
                          boolean autoUpdate)

    - #### saveSettings

          public void saveSettings()

      Called by the host-application, if the user wants to save the settings.
      Specified by:
        `saveSettings` in interface `SettingsTab`

    - #### saveSettingsWithoutDataUpdate

          public void saveSettingsWithoutDataUpdate()

    - #### getIcon

          public javax.swing.Icon getIcon()

      Returns the name of the tab-sheet.
      Specified by:
        `getIcon` in interface `SettingsTab`

    - #### getTitle

          public java.lang.String getTitle()

      Returns the title of the tab-sheet.
      Specified by:
        `getTitle` in interface `SettingsTab`

    - #### configChannels

          public void configChannels()

      Display the Config-Channel

    - #### drop

          public void drop(javax.swing.JList source,
                  javax.swing.JList target,
                  int n,
                  boolean move)

      Description copied from interface: `ListDropAction`
      The method that is called by the drop event.
      Specified by:
        `drop` in interface `ListDropAction`
      Parameters:
        `source` - The source JList.
        `target` - The target JList.
        `n` - The number of the row to move the entries to.
        `move` - Only move one entry from the source to the target list.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)